## gimpmenu

gimpmenu

## Functions

gboolean | (*GimpConstraintFunc) ()
void | (*GimpMenuCallback) ()
GtkWidget * | gimp_image_menu_new ()
GtkWidget * | gimp_layer_menu_new ()
GtkWidget * | gimp_channel_menu_new ()
GtkWidget * | gimp_drawable_menu_new ()

## Description

## Functions

### GimpConstraintFunc ()

    gboolean
    (*GimpConstraintFunc) (gint32 image_id,
                           gint32 drawable_id,
                           gpointer data);

`GimpConstraintFunc` is deprecated and should not be used in newly-written code.

### GimpMenuCallback ()

    void
    (*GimpMenuCallback) (gint32 any_id,
                         gpointer data);

`GimpMenuCallback` is deprecated and should not be used in newly-written code.

### gimp_image_menu_new ()

    GtkWidget *
    gimp_image_menu_new (GimpConstraintFunc constraint,
                         GimpMenuCallback callback,
                         gpointer data,
                         gint32 active_image);

`gimp_image_menu_new` is deprecated and should not be used in newly-written code.

Use `gimp_image_combo_box_new()` instead.

### gimp_layer_menu_new ()

    GtkWidget *
    gimp_layer_menu_new (GimpConstraintFunc constraint,
                         GimpMenuCallback callback,
                         gpointer data,
                         gint32 active_layer);

`gimp_layer_menu_new` is deprecated and should not be used in newly-written code.

Use `gimp_layer_combo_box_new()` instead.

### gimp_channel_menu_new ()

    GtkWidget *
    gimp_channel_menu_new (GimpConstraintFunc constraint,
                           GimpMenuCallback callback,
                           gpointer data,
                           gint32 active_channel);

`gimp_channel_menu_new` is deprecated and should not be used in newly-written code.

Use `gimp_channel_combo_box_new()` instead.

### gimp_drawable_menu_new ()

    GtkWidget *
    gimp_drawable_menu_new (GimpConstraintFunc constraint,
                            GimpMenuCallback callback,
                            gpointer data,
                            gint32 active_drawable);

`gimp_drawable_menu_new` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_combo_box_new()` instead.

## Types and Values